# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define svnrev 9372

Name:           trac-mercurial-plugin
Version:        0.11.0.8
Release:        2.20100319svn%{svnrev}%{?dist}
Summary:        Mercurial plugin for Trac

Group:          Applications/Internet
# No version specified.
License:        GPL+
URL:            http://trac.edgewall.org/wiki/TracMercurial
# Source comes from SVN right now: svn co -r %{svnrev} http://svn.edgewall.org/repos/trac/plugins/0.11/mercurial-plugin; \
#                                  cd mercurial-plugin; \
#                                  echo "include COPYING" > MANIFEST.in; \
#                                  python setup.py sdist --formats gztar
Source0:        TracMercurial-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       mercurial >= 1.3, trac >= 0.11, python-setuptools

%description
This plugin for Trac provides support for the Mercurial SCM.

%prep
%setup -n TracMercurial-%{version} -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# skip-build doesn't work on el4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT
# Remove installed doc files, we grab them later
rm $RPM_BUILD_ROOT/usr/COPYING
rm $RPM_BUILD_ROOT/usr/README

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.11.0.8-2.20100319svn9372
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Mar 19 2010 Jesse Keating <jkeating@redhat.com> - 0.11.0.8-1.20100319svn9372
- Bugfix release (#574854)

* Wed Jan 13 2010 Jesse Keating <jkeating@redhat.com> - 0.11.0.8-1.20100113svn8646
- New upstream release to resolve a number of bugs

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0.7-7.20090715svn8365
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Jesse Keating <jkeating@redhat.com> - 0.11.0.7-6.20090715svn8365
- Pull new upstream snapshot with the patch integrated.

* Mon Jul 20 2009 Jesse Keating <jkeating@redhat.com> - 0.11.0.7-5.20090715svn8072
- Patch for hg 1.3

* Wed Jul 15 2009 Jesse Keating <jkeating@redhat.com> - 0.11.0.7-4.20090715svn8072
- Update tarball generation steps

* Wed Jul 15 2009 Jesse Keating <jkeating@redhat.com> - 0.11.0.7-3.20090715svn8072
- New upstream snapshot to work with mercurial-1.2

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0.7-2.20090205svn7817
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 05 2009 Jesse Keating <jkeating@redhat.com> - 0.11.0.7-1.20090205svn7817
- Update for Trac-0.11

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.10.0.2-5.20070705svn5798
- Rebuild for Python 2.6

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.10.0.2-4.20070705svn5798
- fix license tag

* Thu Jul 05 2007 Jesse Keating <jkeating@redhat.com> - 0.10.0.2-3.20070705svn5798
- Require trac, python-setuptools as well

* Thu Jul 05 2007 Jesse Keating <jkeating@redhat.com> - 0.10.0.2-2.20070705svn5798
- Require mercurial

* Thu Jul 05 2007 Jesse Keating <jkeating@redhat.com> - 0.10.0.2-1.20070705svn5798
- Initial build
